PHP Handbuch
Zurück |  | Weiter

# mysqli_options

(PHP 5)

mysqli_options

(no version information, might be only in CVS)

mysqli->options() -- Set options

## Beschreibung

Procedural style:

bool mysqli_options ( mysqli link, int option, mixed value )

Object oriented style (method)

class mysqli {
bool options ( int option, mixed value )
}

Used to set extra connect options and affect behavior for a connection.

This function may be called multiple times to set several options.

mysqli_options() should be called after mysqli_init() and before mysqli_real_connect().

## Parameter Liste

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

`option`

  The option that you want to set. It can be one of the following values:

  Tabelle 1. Valid options

  Name | Description
  --- | ---
  `MYSQLI_OPT_CONNECT_TIMEOUT` | connection timeout in seconds
  `MYSQLI_OPT_LOCAL_INFILE` | enable/disable use of `LOAD LOCAL INFILE`
  `MYSQLI_INIT_COMMAND` | command to execute after when connecting to MySQL server
  `MYSQLI_READ_DEFAULT_FILE` | Read options from named option file instead of `my.cnf`
  `MYSQLI_READ_DEFAULT_GROUP` | Read options from the named group from `my.cnf` or the file specified with `MYSQL_READ_DEFAULT_FILE`.

`value`

  The value for the option.

## Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`.

## Beispiele

See mysqli_real_connect().

## Siehe auch

mysqli_init()
mysqli_real_connect()

Zurück | Zum Anfang | Weiter
mysqli_num_rows | Nach oben | mysqli_param_count